import java.util.*;


public class Biblioteca {
	private final ArrayList<Libro> collezione;
	
	public Biblioteca(){
		collezione=new ArrayList<>();
	}
	
	public void addLibro(Libro l){
		if (l==null) return;
		collezione.add(l);
	}
	
	public boolean inBiblioteca(Libro t){
		if (t==null) return false;
		for (Libro l:collezione){
			if (l.equals(t)) return true;
		}
		return false;
	}
	
	public void prestato(Libro t){
		if (t==null) return;
		for (Libro l:collezione){
			if (l.equals(t) && !l.getInPrestito()) {
				l.setInPrestito(true);
				return;
			}
		}
	}

	public void restituito(Libro t){
		if (t==null) return;
		for (Libro l:collezione){
			if (l.equals(t) && l.getInPrestito()) {
				l.setInPrestito(false);
				return;
			}
		}
	}
	
	public int totInPrestito(){
		int conto=0;
		for (Libro l:collezione){
			if (l!=null && l.getInPrestito()){
				conto++;				
			}
		}
		return conto;	
	}
	
	public boolean nessunPrestito(){
		return totInPrestito()==0;
	}
	
	public int perBambini(int n){
		int conto=0;
		for (Libro l:collezione){
			if (l instanceof LibroPerBambini 
				&& ((LibroPerBambini) l).getEtaConsigliata()<=n){
				conto++;				
			}
		}
		return conto;
	}


}
